umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Signals | Public Member Functions | List of all members
CodeImportOptionsPage Class Reference

`#include <codeimportoptionspage.h>`

Inheritance diagram for CodeImportOptionsPage:

## Signals
void | applyClicked ()

## Public Member Functions
| CodeImportOptionsPage (QWidget *parent=0)
| ~CodeImportOptionsPage ()
void | setDefaults ()
void | apply ()
Public Member Functions inherited from DialogPageBase
| DialogPageBase (QWidget *parent)
virtual | ~DialogPageBase ()
virtual bool | isModified ()

## Additional Inherited Members
Protected Member Functions inherited from DialogPageBase
virtual void | keyPressEvent (QKeyEvent *event)
Protected Attributes inherited from DialogPageBase
bool | m_isModified

## Detailed Description

This class is used in the code generation wizard and also in SettingsDialog.

Author
  Ralf Habacker

## Constructor & Destructor Documentation

## ◆ CodeImportOptionsPage()

CodeImportOptionsPage::CodeImportOptionsPage | ( | QWidget * | parent = 0 | ) |
| explicit

Constructor.

Parameters

  parent | the parent (wizard) of this wizard page

## ◆ ~CodeImportOptionsPage()

CodeImportOptionsPage::~CodeImportOptionsPage | ( |  | ) |

destructor

## Member Function Documentation

## ◆ apply()

void CodeImportOptionsPage::apply | ( |  | ) |

Reads the set values from their corresponding widgets, writes them back to the data structure, and notifies clients.

## ◆ applyClicked

void CodeImportOptionsPage::applyClicked | ( |  | ) |
| signal

## ◆ setDefaults()

void CodeImportOptionsPage::setDefaults | ( |  | ) |

sets default values

The documentation for this class was generated from the following files:

- umbrello/dialogs/pages/codeimportoptionspage.h
- umbrello/dialogs/pages/codeimportoptionspage.cpp